Page MenuHomePhabricator

Dropping ss_admins on wmf databases
Closed, ResolvedPublic

Description

Schema Change:

All wikis
tables: site_status
changes: Dropping ss_admins
commit status: merged

Table site_stats contains ss_admins field. Dropping...

gerrit change Iebdce084

Version: unspecified
Severity: minor

Details

Reference
bz49192

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:51 AM
bzimport set Reference to bz49192.
greg created this task.Jun 5 2013, 5:08 PM
greg added a comment.Jun 8 2013, 8:30 PM

Hello Umherirrender: This code change is merged (https://gerrit.wikimedia.org/r/#/c/24675/) so is this now done? (this bug was a blind copy/paste from the Schema change page on wikitech from the "to be scheduled" section.)

The patch to remove the field from master is already merged, that is correct, but I did not known, if someone drops the column also from wmf sites and if that should be done.

When a nullable column or a column with a default value is not dropped from production, that does not hurt, because a insert will use the default value and than the SQL is still valid/correct.

site_stats.ss_admins has been dropped from all wmf wikis.